# $Revision: 1.16 $, $Date: 2002/07/27 07:16:48 $
Summary:	LibIdent - Library
Summary(pl):	LibIdent - Biblioteka
Name:		libident
Version:	0.22
Release:	3
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.lysator.liu.se/pub/ident/libs/%name-%version.tar.gz
Patch0:		%{name}-DESTDIR.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibIdent is a library which provides ident support in application.

%description -l pl
LibIdent jest bibliotek udostpniajc interfejs do usugi ident.

%package devel
Summary:	LibIdent - header files
Summary(pl):	LibIdent - pliki nagwkowe
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
LibIdent - header files.

%description devel -l pl
LibIdent - pliki nagwkowe.

%package static
Summary:	LibIdent - Static Library
Summary(pl):	LibIdent - Biblioteka statyczna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
LibIdent - Static Library.

%description static -l pl
LibIdent - Biblioteka statyczna.

%prep
%setup -q
%patch0 -p1

%build
%{__make} CFLAGS="%{rpmcflags}" linux

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_mandir}/man3,%{_includedir}}

%{__make} INSTROOT=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libident.so

%files devel
%defattr(644,root,root,755)
%doc README
%{_includedir}/ident.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libident.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libident.spec,v $
Revision 1.16  2002/07/27 07:16:48  marcus
- use new %%doc
- rel.3.

Revision 1.15  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:22:41  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 14:51:26  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.11  2002/01/18 02:13:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/24 02:51:43  kloczek
- adapterized.

Revision 1.9  2001/04/14 19:13:14  mkochano
- Release 2.
- Added %%pre and %%post sections with call to ldconfig.

Revision 1.8  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/06 14:36:15  kloczek
- move %doc to devel,
- use rpm automation (do not compress directly man pages in spec),
- perm 755 on shatred libraries,
- few cosmetics.

Revision 1.6  2001/01/06 13:28:28  undefine
- build shared library

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.1  2000/01/14 09:49:07  cieciwa
- build RPM.
